commit 3ead1238555ce14dd0c619f1097d552307e6e40a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 2 00:34:25 2025 +0100

    poppler 25.01.0

 CMakeLists.txt     |  6 +++---
 NEWS               | 25 +++++++++++++++++++++++++
 cpp/CMakeLists.txt |  2 +-
 cpp/Doxyfile       |  2 +-
 qt5/src/Doxyfile   |  2 +-
 qt6/src/Doxyfile   |  2 +-
 6 files changed, 32 insertions(+), 7 deletions(-)

commit 3a09377b42f69db66aa9233fb5f5584579508c8d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 2 00:13:25 2025 +0100

    Welcome 2025

 poppler/poppler-config.h.cmake | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2a8f036927abec319fa400a76b46c87bfb0b56ac
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 2 00:13:20 2025 +0100

    Update (C)

 poppler/Form.cc        | 2 +-
 poppler/PSOutputDev.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 25162097d7f182388da27d6ec2b27da61e1ff17b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 2 01:01:04 2025 +0100

    Make it compile with clang 15

 poppler/PSOutputDev.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 221914fb062253b879c9fbf5a58e89330e679313
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jan 2 00:10:50 2025 +0100

    Add missing std::move

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ccdd172fc6361b45674639bfdc44f209038af77d
Author: Pablo Correa Gómez <pabloyoyoista@postmarketos.org>
Date:   Sun Dec 29 02:56:51 2024 +0100

    glib: rename border_width to just width for annots

    This also fixes the introspection data, since the header file is using
    only width too

 glib/poppler-annot.cc | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 2391c8d0685c0f29019084d674ad4ea17b9939a1
Author: Pablo Correa Gómez <pabloyoyoista@postmarketos.org>
Date:   Sun Dec 29 02:54:50 2024 +0100

    glib: mark transfer of poppler_page_get_selected_region

    And use the more modern syntax

 glib/poppler-page.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 26daa2a03963c1ceb5a61d6001815ef0f4b8d21d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 24 20:21:54 2024 +0100

    Splash::gouraudTriangleShadedFill: Check for overflow in some
    operations

    Fixes #1554

 splash/Splash.cc | 32 ++++++++++++++++++++++++++++++--
 1 file changed, 30 insertions(+), 2 deletions(-)

commit ce8e62996102f43b2b7f6fba4c2f2d644b81f68a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 21 12:13:04 2024 +0100

    Update (C)

 poppler/TextOutputDev.h | 1 +
 qt5/src/poppler-page.cc | 1 +
 qt6/src/poppler-page.cc | 1 +
 test/perf-test.cc       | 1 +
 4 files changed, 4 insertions(+)

commit d2609165be8815cfa613f71df7369c59a41f7a18
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Dec 19 13:34:01 2024 +0100

    TextOutputDev: memory cleanups

    Return some GooStrings by value, and convert a std::vector** to
    a vector
    of vectors

 glib/poppler-page.cc     |  73 ++++++++++++--------------------
 poppler/TextOutputDev.cc | 108
 ++++++++++++++++-------------------------------
 poppler/TextOutputDev.h  |  10 ++---
 qt5/src/poppler-page.cc  |   5 +--
 qt6/src/poppler-page.cc  |   5 +--
 test/perf-test.cc        |   7 +--
 6 files changed, 74 insertions(+), 134 deletions(-)

commit a3fd179de9002c26da5cac62ca728894808e6513
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 20 12:32:40 2024 +0100

    Update (C)

 poppler/NameToCharCode.cc | 1 +
 poppler/NameToCharCode.h  | 1 +
 2 files changed, 2 insertions(+)

commit 99c9fe76ed537939be665c183cfd31a3e7925a74
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Dec 19 13:26:18 2024 +0100

    NameToCharCode: remove custom hashmap

    Using std::unordered_map makes the code quite a bit simpler

 poppler/NameToCharCode.cc | 100
 ++--------------------------------------------
 poppler/NameToCharCode.h  |  22 +++++-----
 2 files changed, 15 insertions(+), 107 deletions(-)

commit 1509b915ef1c826d40b6dccabb7f1fabf62e5f84
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Dec 19 13:13:55 2024 +0100

    Form: remove grealloc in favor of a vector

 poppler/Form.cc | 13 ++-----------
 poppler/Form.h  |  8 +++-----
 2 files changed, 5 insertions(+), 16 deletions(-)

commit 382908d6431dbd2f8cfa612fed998a0872a3ced8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Dec 20 10:42:35 2024 +0100

    Update (C)

 qt5/src/poppler-document.cc | 1 +
 qt5/src/poppler-form.cc     | 1 +
 qt6/src/poppler-document.cc | 1 +
 qt6/src/poppler-form.cc     | 1 +
 4 files changed, 4 insertions(+)

commit 8b078fbf696d8838cf89ccabc67f2fdbca86af5c
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Mon Dec 16 20:45:17 2024 +0100

    qt: Fix QDateTime TimeSpec deprecations

 qt5/src/poppler-document.cc | 9 +++++----
 qt5/src/poppler-form.cc     | 5 +++--
 qt6/src/poppler-document.cc | 9 +++++----
 qt6/src/poppler-form.cc     | 5 +++--
 4 files changed, 16 insertions(+), 12 deletions(-)

commit afcfac2fd0838448b3fa0bf90c1c22c142fa90e1
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Wed Apr 10 20:38:34 2024 +0200

    qt: Use std::string instead of plain C string for QString
    initialization

    Both are mostly equivalent, but using the std::string avoids the
    implicit strlen call.

 qt5/src/poppler-page.cc | 2 +-
 qt6/src/poppler-page.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit ab35ab3c8ba75f776f81a530cae036c4c662312f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Dec 18 23:29:39 2024 +0100

    Update (C)

 poppler/JBIG2Stream.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ade9b5ebed44b0c15522c27669ef6cdf93eff84e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue Dec 17 18:59:01 2024 +0100

    JBIG2Bitmap::combine: Fix crash on malformed files

    Fixes #1553

 poppler/JBIG2Stream.cc | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit db6ca34131c41a91c7f3654e0e03f4ca7043723f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 16 15:04:35 2024 +0100

    Update (C)

 cpp/poppler-image.cpp | 2 +-
 cpp/poppler-image.h   | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 18885fcc7398ddaa0769a2ae7acad46d32db02f9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 16 14:44:24 2024 +0100

    Remove QT_VERSION_CHECK that are always true

    We require Qt 5.15 now

 qt5/src/poppler-annotation.cc | 10 ----------
 1 file changed, 10 deletions(-)

commit e21be2a06e6a8664735b726e4c605c64ed6d5141
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 16 14:43:11 2024 +0100

    Remove #if GTK_CHECK_VERSION that are now always true

    Since we require gtk 3.24

 glib/demo/annots.c     |  9 ---------
 glib/demo/find.c       |  4 ----
 glib/demo/forms.c      |  5 -----
 glib/demo/images.c     |  4 ----
 glib/demo/info.cc      |  5 -----
 glib/demo/layers.c     |  4 ----
 glib/demo/main.c       |  8 --------
 glib/demo/page.c       | 10 ----------
 glib/demo/render.c     |  4 ----
 glib/demo/selections.c |  4 ----
 glib/demo/signature.c  |  4 ----
 glib/demo/text.c       |  5 -----
 glib/demo/utils.c      | 23 -----------------------
 test/gtk-test.cc       |  4 ----
 14 files changed, 93 deletions(-)

commit 5055c9343f1b00f6415dc16843f41b2d4eaa991e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 16 14:36:58 2024 +0100

    Remove #if GLIB_CHECK_VERSION(2, 68, 0) since we require 2.72

 glib/poppler-document.cc | 4 ----
 1 file changed, 4 deletions(-)

commit 715f7b7ce4f58085e2d7a84f788ed586f95c51f1
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 16 12:52:55 2024 +0100

    Remove runtime check for lcms > 2.10

    We depend on 2.12 now

 poppler/GfxState.cc | 13 +------------
 1 file changed, 1 insertion(+), 12 deletions(-)

commit 40dbe290705e622dd1dc649ff717a572e8d903f9
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 16 12:45:14 2024 +0100

    Remove if LCMS_VERSION >= 2070

    We require 2.12 now

 poppler/GfxState.cc | 4 ----
 1 file changed, 4 deletions(-)

commit a62417aae8276827da0bae2be471e71313140d4d
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 16 12:44:16 2024 +0100

    Remove "REMOVE-ME-IN-THE-FUTURE"

    The future is now, that fix is part of lcms 2.12 which we now require

 poppler/GfxState.cc | 11 -----------
 1 file changed, 11 deletions(-)

commit dacedc7c78d62b2d7fa7b391ab79a21467da0f25
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 16 12:37:18 2024 +0100

    Somehow missed increasing these deps when updating to Ubuntu 22.04
    as min base

 CMakeLists.txt | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 82cc4a30050ad39debce85a2b5f6e449cd7046f5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 16 12:09:55 2024 +0100

    cpp: Remove rect parameter from image::copy, it was never implemented

 cpp/poppler-image.cpp | 20 ++++++--------------
 cpp/poppler-image.h   |  2 +-
 2 files changed, 7 insertions(+), 15 deletions(-)

commit d0003fe2b5674fc3e2fadead5771df290a2ea974
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Sun Dec 15 10:38:09 2024 +0000

    Memory cleanup in form.

 poppler/Form.cc | 189
 +++++++++++++++++++++-----------------------------------
 poppler/Form.h  |  31 ++++------
 poppler/Page.cc |  12 +---
 poppler/Page.h  |   2 +-
 4 files changed, 89 insertions(+), 145 deletions(-)

commit 7450bbda17c583f2602ccdb6be5c6b02bf87b6f7
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 14 15:05:40 2024 +0100

    Enable clang-tidy modernize-use-equals-default

 .clang-tidy                           |  2 +-
 cpp/poppler-font-private.h            |  2 +-
 cpp/poppler-global.cpp                |  8 ++---
 cpp/poppler-global.h                  |  2 +-
 cpp/poppler-image.cpp                 |  2 +-
 cpp/poppler-rectangle.cpp             |  2 +-
 cpp/poppler-rectangle.h               |  2 +-
 cpp/poppler-toc.cpp                   |  4 +--
 fofi/FoFiIdentifier.cc                |  6 ++--
 goo/ImgWriter.cc                      |  2 +-
 poppler/Annot.cc                      |  6 ++--
 poppler/AnnotStampImageHelper.h       |  2 +-
 poppler/Array.cc                      |  2 +-
 poppler/CMap.cc                       |  2 +-
 poppler/CachedFile.cc                 |  2 --
 poppler/CachedFile.h                  |  2 +-
 poppler/CairoFontEngine.cc            |  6 ++--
 poppler/CairoRescaleBox.h             |  4 +--
 poppler/Catalog.cc                    |  2 +-
 poppler/Decrypt.cc                    |  4 +--
 poppler/FontInfo.cc                   |  2 +-
 poppler/Form.cc                       |  2 +-
 poppler/Form.h                        |  2 +-
 poppler/Function.cc                   |  6 ++--
 poppler/GfxState.cc                   | 36 +++++++++----------
 poppler/GfxState.h                    |  2 +-
 poppler/GlobalParams.cc               |  2 +-
 poppler/JBIG2Stream.cc                |  8 ++---
 poppler/JSInfo.cc                     |  2 --
 poppler/JSInfo.h                      |  2 +-
 poppler/Linearization.cc              |  2 +-
 poppler/Movie.cc                      |  2 --
 poppler/Movie.h                       |  2 +-
 poppler/Object.h                      |  2 +-
 poppler/PDFDoc.cc                     |  2 +-
 poppler/PSTokenizer.cc                |  2 --
 poppler/PSTokenizer.h                 |  2 +-
 poppler/Page.cc                       |  2 +-
 poppler/PageTransition.cc             |  2 --
 poppler/PageTransition.h              |  2 +-
 poppler/PreScanOutputDev.cc           |  2 +-
 poppler/Rendition.cc                  |  4 ---
 poppler/Rendition.h                   |  4 +--
 poppler/SecurityHandler.cc            |  2 +-
 poppler/Sound.cc                      |  2 +-
 poppler/SplashOutputDev.cc            | 10 +++---
 poppler/Stream.cc                     | 12 +++----
 poppler/StructElement.cc              |  2 +-
 poppler/StructTreeRoot.h              |  9 ++---
 poppler/TextOutputDev.cc              |  8 ++---
 poppler/UnicodeMap.cc                 |  2 +-
 poppler/ViewerPreferences.cc          |  2 +-
 qt5/demos/abstractinfodock.cpp        |  2 +-
 qt5/demos/documentobserver.cpp        |  2 +-
 qt5/demos/embeddedfiles.cpp           |  2 +-
 qt5/demos/fonts.cpp                   |  2 +-
 qt5/demos/info.cpp                    |  2 +-
 qt5/demos/metadata.cpp                |  2 +-
 qt5/demos/navigationtoolbar.cpp       |  2 +-
 qt5/demos/optcontent.cpp              |  2 +-
 qt5/demos/pageview.cpp                |  2 +-
 qt5/demos/permissions.cpp             |  2 +-
 qt5/demos/thumbnails.cpp              |  2 +-
 qt5/demos/toc.cpp                     |  2 +-
 qt5/src/poppler-annotation.cc         | 62
 ++++++++++++++++----------------
 qt5/src/poppler-base-converter.cc     |  2 +-
 qt5/src/poppler-form.cc               | 14 ++++----
 qt5/src/poppler-link.cc               | 28 +++++++--------
 qt5/src/poppler-optcontent.cc         |  4 +--
 qt5/src/poppler-pdf-converter.cc      |  2 +-
 qt5/src/poppler-private.h             |  2 +-
 qt5/src/poppler-ps-converter.cc       |  2 +-
 qt5/src/poppler-qiodeviceoutstream.cc |  2 +-
 qt6/demos/abstractinfodock.cpp        |  2 +-
 qt6/demos/documentobserver.cpp        |  2 +-
 qt6/demos/embeddedfiles.cpp           |  2 +-
 qt6/demos/fonts.cpp                   |  2 +-
 qt6/demos/info.cpp                    |  2 +-
 qt6/demos/metadata.cpp                |  2 +-
 qt6/demos/navigationtoolbar.cpp       |  2 +-
 qt6/demos/optcontent.cpp              |  2 +-
 qt6/demos/pageview.cpp                |  2 +-
 qt6/demos/permissions.cpp             |  2 +-
 qt6/demos/thumbnails.cpp              |  2 +-
 qt6/demos/toc.cpp                     |  2 +-
 qt6/src/poppler-annotation.cc         | 68
 +++++++++++++++++------------------
 qt6/src/poppler-base-converter.cc     |  2 +-
 qt6/src/poppler-form.cc               | 14 ++++----
 qt6/src/poppler-link-extractor.cc     |  2 +-
 qt6/src/poppler-link.cc               | 28 +++++++--------
 qt6/src/poppler-optcontent.cc         |  4 +--
 qt6/src/poppler-pdf-converter.cc      |  4 +--
 qt6/src/poppler-private.h             |  2 +-
 qt6/src/poppler-ps-converter.cc       |  2 +-
 qt6/src/poppler-qiodeviceoutstream.cc |  2 +-
 qt6/tests/test-password-qt6.cpp       |  2 +-
 qt6/tests/test-poppler-qt6.cpp        |  2 +-
 splash/SplashFTFont.cc                |  2 +-
 splash/SplashFontFileID.cc            |  4 +--
 splash/SplashPattern.cc               |  6 ++--
 splash/SplashXPathScanner.cc          |  2 +-
 test/gtk-test.cc                      |  2 +-
 utils/HtmlFonts.cc                    |  4 +--
 utils/HtmlFonts.h                     | 18 +---------
 utils/HtmlLinks.cc                    |  4 +--
 105 files changed, 253 insertions(+), 294 deletions(-)

commit fc8c9d6519ee882f7ea7860ca7d04a5d07fc2f4f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 14 10:30:06 2024 +0100

    Update (C)

 poppler/UnicodeMap.cc | 1 +
 poppler/UnicodeMap.h  | 1 +
 2 files changed, 2 insertions(+)

commit 29d5c8885b67608fd34b35b4e972cc61d9042e02
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Nov 21 13:43:11 2024 +0100

    Simplify memory management in UnicodeMap

    Also prevent a couple of out of bounds writes with unexpected sizes.

 poppler/GlobalParams.cc |   8 +-
 poppler/UnicodeMap.cc   | 228
 ++++++++++++++++--------------------------------
 poppler/UnicodeMap.h    |  27 +++---
 3 files changed, 89 insertions(+), 174 deletions(-)

commit 2925f96694e86a4c6ace1925ab5d5cf5a239db9d
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Dec 12 15:54:37 2024 +0100

    Add unit test for another case in cidfontswidthsbuilder

 qt6/tests/check_cidfontswidthsbuilder.cpp | 19 +++++++++++++++++--
 1 file changed, 17 insertions(+), 2 deletions(-)

commit 06b598b675820fd3bf5f94060a6cbefc74d0dde9
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Sun Dec 8 12:20:21 2024 +0100

    Replace word insertion sort with merge sort

    The block and page pools only need to be sorted before coalescing
    them.
    As insertion sort for linked lists is O(n^2), the runtime may become
    unbearably slow, while a merge sort at the end will run in O(n log n).

 poppler/TextOutputDev.cc | 175
 +++++++++++++++++++++++++++++------------------
 poppler/TextOutputDev.h  |  15 ++--
 2 files changed, 119 insertions(+), 71 deletions(-)

commit 04d64a92402fe3aadad5ea4decdfb5dba666cf6f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 8 16:04:18 2024 +0100

    Enable modernize-use-ranges

 .clang-tidy                     | 2 +-
 cpp/poppler-document.cpp        | 2 +-
 cpp/poppler-image.cpp           | 2 +-
 poppler/CIDFontsWidthsBuilder.h | 5 +++--
 poppler/Catalog.cc              | 9 ++++++++-
 poppler/Dict.cc                 | 5 +++--
 poppler/GlobalParams.cc         | 2 +-
 poppler/TextOutputDev.cc        | 2 +-
 qt5/src/poppler-optcontent.cc   | 4 ++--
 qt6/src/poppler-optcontent.cc   | 4 ++--
 splash/SplashFontEngine.cc      | 4 ++--
 11 files changed, 25 insertions(+), 16 deletions(-)

commit e3a2baa1373a56cb27481434c9eaa347498a5ed0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 12:51:34 2024 +0100

    CI: Enable bugprone-inc-dec-in-conditions

 .clang-tidy           | 2 +-
 poppler/CachedFile.cc | 8 +++++---
 2 files changed, 6 insertions(+), 4 deletions(-)

commit 99f76496d6063accff5aa7cf4ce2524ac651a6a2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Nov 2 23:11:20 2024 +0100

    CI: Fedora 41 for clazy

 .gitlab-ci.yml                   |  6 +++---
 qt5/src/poppler-link.cc          | 18 +++++++++---------
 qt5/tests/check_forms.cpp        |  2 +-
 qt5/tests/stress-poppler-dir.cpp |  2 +-
 qt5/tests/stress-poppler-qt5.cpp |  2 +-
 qt6/src/poppler-link.cc          | 18 +++++++++---------
 qt6/tests/check_forms.cpp        |  2 +-
 qt6/tests/stress-poppler-dir.cpp |  2 +-
 qt6/tests/stress-poppler-qt6.cpp |  2 +-
 9 files changed, 27 insertions(+), 27 deletions(-)

commit 181653d19b7d7e63d764c32e922b3c5bf90a2265
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Dec 9 21:53:50 2024 +0100

    qt: Fix crash in Submit Forms if document links to non existing field

 qt5/src/poppler-page.cc | 2 +-
 qt6/src/poppler-page.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 45a3eb915a216044657a7ace7dee189dbfc5f6cf
Author: Stefan Brüns <stefan.bruens@rwth-aachen.de>
Date:   Thu Apr 4 22:39:11 2024 +0200

    [TextOutputDev] Better detect fakebold words

    Currently, the fakebold detection code only handles multiple
    instances of
    identical words, but fails in several cases:

    - the last instance includes e.g. a trailing colon or dot
    - the bold word is "quoted", i.e. the first instance includes
    the opening
      quote, the last instance the closing quote.
    - a non-bold and a bold word are joined with a hyphen

    To handle these cases, the matching logic is extended to detect more
    of these cases.

    To avoid a performance penalty the first check is a bounding box
    overlap test, as it is fast and a requirement for every fakebold case.

    For the remaining pairs, a number of possible matches is evaluated:
    1. same words, as previously
    2. check if one word is the prefix of the other
    3. check if the tail of one word is the prefix of the other

    Identical words are discarded as before, while for partial matches
    the overlapping part is discarded from the second word.

 poppler/TextOutputDev.cc       | 99
 +++++++++++++++++++++++++++++++++++-------
 qt5/tests/check_actualtext.cpp | 12 -----
 qt6/tests/check_actualtext.cpp | 12 -----
 3 files changed, 83 insertions(+), 40 deletions(-)

commit dfd458aafd558d4be054b7e872da5d3ba0e9ae0a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 8 01:07:41 2024 +0100

    Enable modernize-raw-string-literal

 .clang-tidy                                   |  2 +-
 qt5/tests/check_distinguished_name_parser.cpp | 12 ++++++------
 qt6/tests/check_distinguished_name_parser.cpp | 12 ++++++------
 utils/HtmlOutputDev.cc                        | 22 +++++++++++-----------
 utils/pdftotext.cc                            | 16 ++++++++--------
 5 files changed, 32 insertions(+), 32 deletions(-)

commit 7984e15ef2005fa2d94f00896e661aa629704ca3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 8 01:05:01 2024 +0100

    Enable modernize-use-nullptr

 .clang-tidy                |  2 +-
 glib/poppler-form-field.cc | 14 +++++++-------
 2 files changed, 8 insertions(+), 8 deletions(-)

commit cdd96bc290b17189ca3b0145e72f37292ad22daf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 8 01:02:34 2024 +0100

    Enable modernize-use-std-numbers

 .clang-tidy      | 2 +-
 poppler/Annot.cc | 5 +++--
 utils/pdfinfo.cc | 9 +++++----
 3 files changed, 9 insertions(+), 7 deletions(-)

commit 8c57732ebd6cb13ca93eaf2a0b9861c6b18f4b77
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Dec 8 00:28:04 2024 +0100

    CI: Enable clang-tidy modernize checks

    And disable the ones that fail

 .clang-tidy | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ac055a9a42cfbd99727b749ff758d549358e04f0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 12:51:34 2024 +0100

    CI: Enable bugprone-multi-level-implicit-pointer-conversion

 .clang-tidy                     |  2 +-
 fofi/FoFiType1.cc               |  2 +-
 fofi/FoFiType1C.cc              |  2 +-
 glib/poppler-page.cc            |  4 ++--
 poppler/CairoOutputDev.cc       |  4 ++--
 poppler/CharCodeToUnicode.cc    |  6 +++---
 poppler/Form.cc                 | 22 +++++++++++-----------
 poppler/Function.cc             |  2 +-
 poppler/GfxState.cc             | 10 +++++-----
 poppler/Hints.cc                |  2 +-
 poppler/JBIG2Stream.cc          | 16 ++++++++--------
 poppler/NSSCryptoSignBackend.cc |  6 +++---
 poppler/PDFDoc.cc               |  2 +-
 poppler/TextOutputDev.cc        | 26 +++++++++++++-------------
 test/gtk-test.cc                |  2 +-
 15 files changed, 54 insertions(+), 54 deletions(-)

commit ab975e161fb86542ef46bf95f5dbead01896953b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 22:47:39 2024 +0100

    CI: Fix readability-redundant-string-init

 glib/poppler-annot.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3dc162aca81f598ee8ca67a50204c3e30e43be6b
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 22:46:51 2024 +0100

    CI: Fix readability-container-contains

 poppler/CairoOutputDev.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 0bf9b46b72f572927e753b4a72c9dfbdc28a43ad
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 22:43:49 2024 +0100

    CI: Fix readability-static-accessed-through-instance

 cpp/poppler-page-renderer.cpp   | 2 +-
 qt5/demos/main_viewer.cpp       | 2 +-
 qt5/tests/test-password-qt5.cpp | 2 +-
 qt5/tests/test-poppler-qt5.cpp  | 4 ++--
 qt6/demos/main_viewer.cpp       | 2 +-
 qt6/tests/test-password-qt6.cpp | 2 +-
 qt6/tests/test-poppler-qt6.cpp  | 4 ++--
 7 files changed, 9 insertions(+), 9 deletions(-)

commit 752f6afaad63d80040d1895522e2009e3e53e561
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 22:26:36 2024 +0100

    Fix readability-uniqueptr-delete-release

 glib/poppler-document.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5e2399e2afc0b613dc77af4f6c453b6deb4c550e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 17:09:50 2024 +0100

    CI: Ignore readability-identifier-length

 .clang-tidy | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 946ac18a2947d087a7d3c48b34e7798655bfa49a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 16:45:05 2024 +0100

    CI: Enable readability-redundant-access-specifiers

 .clang-tidy                          |  2 +-
 poppler/PageLabelInfo.h              |  1 -
 poppler/Stream.h                     |  1 -
 qt5/demos/abstractinfodock.h         |  3 +--
 qt5/demos/navigationtoolbar.cpp      |  8 ++++----
 qt5/demos/navigationtoolbar.h        |  3 +--
 qt5/demos/optcontent.h               |  3 +--
 qt5/demos/pageview.h                 |  1 -
 qt5/demos/thumbnails.h               |  3 +--
 qt5/demos/viewer.h                   |  3 +--
 qt5/src/poppler-form.h               |  2 +-
 qt5/tests/check_actualtext.cpp       |  6 +++---
 qt5/tests/check_signature_basics.cpp |  2 +-
 qt5/tests/check_strings.cpp          | 11 +++++------
 qt6/demos/abstractinfodock.h         |  3 +--
 qt6/demos/navigationtoolbar.cpp      |  8 ++++----
 qt6/demos/navigationtoolbar.h        |  3 +--
 qt6/demos/optcontent.h               |  3 +--
 qt6/demos/pageview.h                 |  1 -
 qt6/demos/thumbnails.h               |  3 +--
 qt6/demos/viewer.h                   |  3 +--
 qt6/src/poppler-form.h               |  2 +-
 qt6/tests/check_actualtext.cpp       |  6 +++---
 qt6/tests/check_signature_basics.cpp |  2 +-
 qt6/tests/check_strings.cpp          | 11 +++++------
 utils/InMemoryFile.h                 |  1 -
 26 files changed, 39 insertions(+), 56 deletions(-)

commit 569fae7923d401cd59f4a36a5bc2a37623b283f8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 16:26:24 2024 +0100

    CI: Enable readability-delete-null-pointer

 .clang-tidy                |  2 +-
 fofi/FoFiType1C.cc         |  4 +---
 poppler/CairoOutputDev.cc  | 12 +++---------
 poppler/GfxFont.cc         | 12 +++---------
 poppler/GfxState.cc        |  5 +----
 poppler/JBIG2Stream.cc     |  8 ++------
 poppler/PSOutputDev.cc     | 24 ++++++------------------
 poppler/Page.cc            |  2 +-
 poppler/SplashOutputDev.cc | 20 +++++---------------
 poppler/Stream.cc          |  8 ++------
 poppler/TextOutputDev.cc   | 14 ++++----------
 splash/SplashFontEngine.cc |  4 +---
 utils/HtmlOutputDev.cc     |  4 +---
 utils/pdftocairo.cc        | 16 ++++------------
 utils/pdftohtml.cc         |  4 +---
 15 files changed, 36 insertions(+), 103 deletions(-)

commit 6b38ad4acb5019240fb823d15da2ca5e9e198c97
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 16:23:56 2024 +0100

    CI: Enable readability-redundant-control-flow

 .clang-tidy                | 2 +-
 cpp/poppler-page.cpp       | 1 -
 poppler/Function.cc        | 2 --
 poppler/Gfx.cc             | 2 --
 poppler/GfxState.cc        | 5 +----
 poppler/JBIG2Stream.cc     | 1 -
 poppler/OutputDev.cc       | 5 +----
 poppler/PDFDoc.cc          | 1 -
 poppler/SplashOutputDev.cc | 1 -
 test/perf-test.cc          | 1 -
 10 files changed, 3 insertions(+), 18 deletions(-)

commit dc6de6a26f2b599b8fa97a18493a3f9fb1628bfc
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 16:20:18 2024 +0100

    CI: Enable readability-duplicate-include

 .clang-tidy                | 2 +-
 poppler/Annot.cc           | 1 -
 poppler/CairoRescaleBox.cc | 1 -
 poppler/Form.h             | 1 -
 poppler/Gfx.cc             | 1 -
 poppler/PDFDoc.cc          | 1 -
 poppler/Page.cc            | 1 -
 utils/HtmlOutputDev.cc     | 1 -
 8 files changed, 1 insertion(+), 8 deletions(-)

commit 505dde15d707e5a3c002a998e39ecbfab14a1811
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 16:17:36 2024 +0100

    CI: Enable readability-container-size-empty

 .clang-tidy                          |  2 +-
 cpp/poppler-document.cpp             |  2 +-
 cpp/poppler-global.cpp               |  4 ++--
 cpp/poppler-toc.cpp                  |  4 ++--
 poppler/Annot.cc                     |  6 +++---
 poppler/CIDFontsWidthsBuilder.h      |  5 +++--
 poppler/CachedFile.cc                | 10 +++++-----
 poppler/CairoOutputDev.cc            |  2 +-
 poppler/DateInfo.cc                  |  5 ++---
 poppler/DistinguishedNameParser.h    |  2 +-
 poppler/Gfx.cc                       |  4 ++--
 poppler/GfxFont.cc                   |  4 ++--
 poppler/Link.cc                      |  4 ++--
 poppler/MarkedContentOutputDev.h     |  4 ++--
 poppler/PreScanOutputDev.cc          |  2 +-
 poppler/TextOutputDev.cc             |  4 ++--
 qt5/src/poppler-annotation.cc        |  4 ++--
 qt5/src/poppler-document.cc          |  6 ++----
 qt5/tests/check_signature_basics.cpp |  4 ++--
 qt6/tests/check_signature_basics.cpp |  4 ++--
 splash/SplashBitmap.cc               |  6 +++---
 utils/pdfunite.cc                    |  4 ++--
 22 files changed, 45 insertions(+), 47 deletions(-)

commit 03b6d265562815042ce92f81ed8d8152e4390073
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 16:08:14 2024 +0100

    CI: Enable readability-const-return-type

 .clang-tidy             | 2 +-
 poppler/StructElement.h | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 3cf2f130cddda65609e1068913fa588a9001f476
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 16:05:09 2024 +0100

    CI: Enable readability-redundant-smartptr-get

 .clang-tidy                  |  2 +-
 cpp/poppler-document.cpp     | 28 ++++++++++++++--------------
 cpp/poppler-image.cpp        |  2 +-
 cpp/tests/poppler-dump.cpp   |  2 +-
 cpp/tests/poppler-render.cpp |  4 ++--
 utils/pdfinfo.cc             |  4 ++--
 6 files changed, 21 insertions(+), 21 deletions(-)

commit 117500ad77aa3ada6f3aa5fc064280c89be41e66
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 16:03:31 2024 +0100

    CI: Enable readability-redundant-string-cstr

 .clang-tidy                | 2 +-
 cpp/poppler-font-private.h | 6 +++---
 utils/HtmlFonts.cc         | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 4512018f29b2f962efc1337b7adf5c7041943c91
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 16:01:26 2024 +0100

    CI: Enable readability-non-const-parameter

 .clang-tidy                  | 2 +-
 glib/demo/layers.c           | 2 +-
 splash/Splash.cc             | 2 +-
 splash/SplashXPath.cc        | 2 +-
 splash/SplashXPath.h         | 2 +-
 splash/SplashXPathScanner.cc | 2 +-
 splash/SplashXPathScanner.h  | 2 +-
 utils/pdftocairo.cc          | 2 +-
 8 files changed, 8 insertions(+), 8 deletions(-)

commit cbf0dfab819aa4c77a8965669e6e61937c669392
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 15:58:35 2024 +0100

    CI: Enable readability-redundant-member-init

 .clang-tidy                      |  2 +-
 glib/poppler-attachment.cc       |  2 +-
 poppler/Form.cc                  |  2 +-
 poppler/StructElement.cc         |  4 +---
 qt5/src/poppler-annotation.cc    | 24 ++++++++++++------------
 qt5/src/poppler-form.cc          |  2 +-
 qt5/src/poppler-pdf-converter.cc |  2 +-
 qt5/src/poppler-ps-converter.cc  | 14 +-------------
 qt5/tests/stress-threads-qt5.cpp |  2 +-
 qt6/src/poppler-annotation.cc    | 26 +++++++++++++-------------
 qt6/src/poppler-form.cc          |  2 +-
 qt6/src/poppler-pdf-converter.cc |  2 +-
 qt6/src/poppler-ps-converter.cc  | 14 +-------------
 qt6/tests/stress-threads-qt6.cpp |  2 +-
 14 files changed, 37 insertions(+), 63 deletions(-)

commit 44edb44d9e0f2cb5d42d4a3099a8a78dd876b288
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 15:49:55 2024 +0100

    CI: Enable all clang-tidy readibility checks...

    ...except the lots that fail

 .clang-tidy | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9a02bbdd658ca2a462f33904de470375b94a1e94
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 15:47:30 2024 +0100

    CI: Reorder a bit the clang tidy checks

    First we the enables by group, then the disables by group

 .clang-tidy | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 69acc3e897f7237b3c851c9a36a11743fd84d355
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 09:05:47 2024 +0100

    CI: Enable performance-no-int-to-ptr

    Add exception for iconv_t checking validity since it's the recommended
    way to do it according to documentation

 .clang-tidy            | 2 +-
 cpp/poppler-global.cpp | 5 ++++-
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 03571e1916835ea235008d584c0ed3406bcc5b4a
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 02:07:44 2024 +0100

    CI: Enable bugprone-sizeof-expression

 .clang-tidy | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 93293183213cdf98794b708403dcc8c4d03daa18
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 01:11:59 2024 +0100

    CI: Enable bugprone-macro-parentheses exception

 .clang-tidy              |  2 +-
 cpp/poppler-private.h    |  4 ++--
 glib/poppler-annot.cc    |  2 +-
 glib/poppler-private.h   |  2 +-
 goo/gstrtod.cc           |  4 ++--
 poppler/GfxState.cc      |  2 +-
 poppler/Object.h         |  6 +++---
 poppler/Stream-CCITT.h   |  2 +-
 poppler/StructElement.cc |  6 +++---
 poppler/TextOutputDev.cc |  4 ++--
 test/gtk-test.cc         |  2 +-
 test/perf-test.cc        | 14 +++++++-------
 utils/HtmlFonts.cc       |  2 +-
 utils/HtmlOutputDev.h    |  2 +-
 14 files changed, 27 insertions(+), 27 deletions(-)

commit 14170dae2e0f51ea2660507bb3b958e73b2a3fc3
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 01:09:05 2024 +0100

    CI: Enable bugprone-undefined-memory-manipulation

    Seems we don't trigger it anymore (except in Object, but we know that
    works)

 .clang-tidy       | 2 +-
 poppler/Object.cc | 4 ++--
 poppler/Object.h  | 4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 824ad86f5cdeeb0c0675f2ff18bca7d8365ae10f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 00:45:56 2024 +0100

    CI: Enable bugprone-suspicious-string-compare

 .clang-tidy               | 2 +-
 fofi/FoFiTrueType.cc      | 2 +-
 fofi/FoFiType1.cc         | 4 ++--
 poppler/Annot.cc          | 2 +-
 poppler/Catalog.cc        | 2 +-
 poppler/GfxFont.cc        | 4 ++--
 poppler/Lexer.cc          | 4 ++--
 poppler/NameToCharCode.cc | 2 +-
 8 files changed, 11 insertions(+), 11 deletions(-)

commit 51b458af5e4099a3d9cb42377776b05edc76a44e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Dec 7 01:37:57 2024 +0100

    CI: Use clang 19

 .gitlab-ci.yml           | 10 +++++-----
